%{!?lua_compat_version: %global lua_compat_version 5.1}
%{!?lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{!?lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{!?lua_compat_builddir: %global lua_compat_builddir %{_builddir}/lua%{lua_compat_version}-lpeg-%{version}-%{release}}

%bcond_without compat

Name:           lua-lpeg
Version:        1.0.2
Release:        %mkrel 7
Summary:        Parsing Expression Grammars for Lua
Group:          Development/Other
License:        MIT
URL:            https://www.inf.puc-rio.br/~roberto/lpeg/
Source0:        https://www.inf.puc-rio.br/~roberto/lpeg/lpeg-%{version}.tar.gz
Patch1:         lpeg-linking.patch
BuildRequires:  pkgconfig(lua)

%description
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).

%if %{with compat}
%package -n lua%{lua_compat_version}-lpeg
Summary:        Parsing Expression Grammars for Lua
BuildRequires:  lua%{lua_compat_version}-devel

%description -n lua%{lua_compat_version}-lpeg
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).
%endif

%prep
%autosetup -n lpeg-%{version} -p1

chmod -x test.lua

%if %{with compat}
rm -rf %{lua_compat_builddir}
cp -a . %{lua_compat_builddir}
%endif

%build
%set_build_flags
%make_build COPT="%{optflags}" LUALIB=-llua

%if %{with compat}
pushd %{lua_compat_builddir}
%make_build COPT="-I%{_includedir}/lua-%{lua_compat_version} %{optflags}" LUALIB=-llua-%{lua_compat_version}
%endif

%install
mkdir -p %{buildroot}%{lua_libdir}
mkdir -p %{buildroot}%{lua_pkgdir}
install -p lpeg.so %{buildroot}%{lua_libdir}/lpeg.so.%{version}
ln -s lpeg.so.%{version} %{buildroot}%{lua_libdir}/lpeg.so
install -p -m 0644 re.lua %{buildroot}%{lua_pkgdir}

%if %{with compat}
pushd %{lua_compat_builddir}
mkdir -p %{buildroot}%{lua_compat_libdir}
mkdir -p %{buildroot}%{lua_compat_pkgdir}
install -p lpeg.so %{buildroot}%{lua_compat_libdir}/lpeg.so.%{version}
ln -s lpeg.so.%{version} %{buildroot}%{lua_compat_libdir}/lpeg.so
install -p -m 0644 re.lua %{buildroot}%{lua_compat_pkgdir}
popd
%endif

%check
lua test.lua

%files
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua
%{lua_libdir}/lpeg.so
%{lua_libdir}/lpeg.so.%{version}
%{lua_pkgdir}/re.lua

%if %{with compat}
%files -n lua%{lua_compat_version}-lpeg
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua
%{lua_compat_libdir}/lpeg.so
%{lua_compat_libdir}/lpeg.so.%{version}
%{lua_compat_pkgdir}/re.lua
%endif


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.2-7.mga10
+ Revision: 2196373
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 1.0.2-6.mga9
+ Revision: 1797948
- Mageia 9 Mass Rebuild

* Sat Apr 03 2021 wally <wally> 1.0.2-5.mga9
+ Revision: 1713005
- add lua5.1 compatibility package

* Fri Apr 02 2021 wally <wally> 1.0.2-4.mga9
+ Revision: 1712785
- rebuild with lua 5.4

* Sun Mar 28 2021 wally <wally> 1.0.2-3.mga9
+ Revision: 1711564
- build with latest lua

* Wed Aug 05 2020 joequant <joequant> 1.0.2-2.mga8
+ Revision: 1611170
- update to 5.3

* Sat May 23 2020 kekepower <kekepower> 1.0.2-1.mga8
+ Revision: 1587079
- Update to version 1.0.2
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-6.mga8
+ Revision: 1514942
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-5.mga7
+ Revision: 1299372
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 shlomif <shlomif> 1.0.1-4.mga7
+ Revision: 1252212
- Rebuild due to broken rpm

* Fri Apr 27 2018 daviddavid <daviddavid> 1.0.1-3.mga7
+ Revision: 1222850
- fix lua version in test.lua file

* Fri Apr 27 2018 daviddavid <daviddavid> 1.0.1-2.mga7
+ Revision: 1222840
- rebuild against lua 5.3

* Wed Apr 04 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1215167
- Update to version 1.0.1

* Wed Jan 06 2016 shlomif <shlomif> 0.12.2-1.mga6
+ Revision: 920005
- Importing from Fedora. Thanks!


* Sun Jul 26 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.12.2-1
- Update to 0.12.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 16 2015 Tom Callaway <spot@fedoraproject.org> - 0.12.1-1
- update to 0.12.1
- rebuild for lua 5.3

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Tom Callaway <spot@fedoraproject.org> - 0.12-1
- update to 0.12, lua 5.2

* Wed Apr  3 2013 Michel Alexandre Salim <michel@verity.localdomain> - 0.11-1
- Update to 0.11

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 16 2011 Michel Salim <salimma@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Tim Niemueller <tim@niemueller.de> - 0.9-1
- Update to 0.9

* Fri Jun 13 2008 Tim Niemueller <tim@niemueller.de> - 0.8.1-2
- Consistent macro usage, moved sed/chmod to prep

* Thu Jun 12 2008 Tim Niemueller <tim@niemueller.de> - 0.8.1-1
- Initial package

